SHELL=/bin/sh
CFLAGS=-Wall -W -O2 -DMODULE -D__KERNEL__ \
       -I/lib/modules/`uname -r`/build/include

all: kmemprof-trace.o

kmemprof-trace.o: notifier.o ringbuf.o strtab.o hashtab.o logbuf.o
	ld notifier.o ringbuf.o strtab.o hashtab.o logbuf.o -r -o kmemprof-trace.o

notifier.o: notifier.c
	gcc $(CFLAGS) -c notifier.c

strtab.o: strtab.c strtab.h
	gcc $(CFLAGS) -c strtab.c

ringbuf.o: ringbuf.c ringbuf.h
	gcc $(CFLAGS) -c ringbuf.c

logbuf.o: logbuf.c logbuf.h
	gcc $(CFLAGS) -c logbuf.c

hashtab.o: hashtab.c hashtab.h
	gcc $(CFLAGS) -c hashtab.c

clean:
	-rm -f kmemprof-trace.o ringbuf.o notifier.o strtab.o hashtab.o logbuf.o *~

